For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoices
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
      • GETEvents
        • GETGet All
        • POSTCreate
        • GETGet
        • POSTUpdate
        • DELDelete
Logo
Sign inBook a demo
API ReferenceInvoiceComment

Get All

GET
https://api.mercoa.com/invoice/:invoiceId/comments
GET
/invoice/:invoiceId/comments
$curl https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comments \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "ic_b3525b66-da94-4525-9f31-426bcf657128",
4 "text": "This is a comment",
5 "createdAt": "2021-01-01T00:00:00Z",
6 "updatedAt": "2021-01-01T00:00:00Z",
7 "user": {
8 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
9 "roles": [
10 "admin",
11 "approver"
12 ],
13 "createdAt": "2024-01-01T00:00:00Z",
14 "updatedAt": "2024-01-01T00:00:00Z",
15 "foreignId": "MY-DB-ID-12345",
16 "email": "john.doe@acme.com",
17 "name": "John Doe"
18 }
19 }
20]
Get all comments associated with this invoice
Was this page helpful?
Previous

Create

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID or Invoice ForeignID

Response

This endpoint returns a list of objects.
idstring
textstring
createdAtdatetime
updatedAtdatetime
userobject
associatedApprovalActionobject
If an approval action has triggered the generation of this comment, returns the associated approval action and actor

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented